Как обновить существующие приложения iPhone/iPad до iOS6 и iPhone 5

79
7

Я хотел бы знать, что на данном этапе действительно необходимо, чтобы наши приложения в разработке были совместимы с iOS6 и iPhone5. Я разрабатываю приложение для iPhone, которое находится на последней стадии. Через 10 дней я должен отправить его в магазин приложений. Итак, если необходимо, чтобы наши настоящие/разрабатываемые приложения были совместимы с iOS6 и iPhone5, какие шаги следует предпринять? И если это не так необходимо, то какие другие меры предосторожности я должен принять?

спросил(а) 2021-01-19T13:41:08+03:00 9 месяцев назад
1
Решение
102

Вам нужно использовать Xcode 4.5 GM. Чтобы новое разрешение было разрешено на iPhone 5 и новом iPod, вам необходимо предоставить изображение запуска в соответствующем размере. Вы также должны убедиться, что ваши представления независимы от разрешения и правильно изменяют размер. Вы можете протестировать на симуляторе.


Поскольку вы будете использовать новый Xcode, вы можете "модернизировать" свой код, чтобы использовать новый синтаксис литералов Objective C для массивы, словари и объекты NSNumber. Это сделает ваш код более удобным для чтения (это, вероятно, спорно, но на мой взгляд).
Это дополнения к компиляторам и должны работать для любой цели iOS.

Другие дополнения SDK, такие как поддержка автоматического макета, будут, вероятно, неактуальны для вас, так как вы хотите настроить таргетинг на более старые устройства iOS. Но стоит взглянуть на документацию, чтобы быть знакомой.


Изменения в потоках авторотации с представлениями и окнами. Снова проверьте документацию об изменениях и порядке подготовки к iOS6.

ответил(а) 2021-01-19T13:41:08+03:00 9 месяцев назад
Ваш ответ
Введите минимум 50 символов
Чтобы , пожалуйста,
Выберите тему жалобы:

Другая проблема